<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Flat Annote Defs</TITLE>
<link href="suif1_81.html" rel=Next>
<link href="suif1_79.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_79.html">previous</A>, <A HREF="suif1_81.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC80" HREF="suif1_toc.html#TOC80">Flat Annotation Definitions</A></H3>

<P>
<A NAME="IDX589"></A>
<A NAME="IDX590"></A>
<A NAME="IDX591"></A>
Flat annotation definitions (see section <A HREF="suif1_71.html#SEC71">Flat Annotations</A>) are represented by
base <CODE>annote_def</CODE> objects, for which the <CODE>is_structured</CODE>
method returns <CODE>FALSE</CODE>.  Other than the annotation name, these
entries contain a flag that indicates whether the annotations should be
written to the SUIF output file.  The <CODE>output</CODE> method is used to
retrieve this flag and the <CODE>set_output</CODE> method to change its value.

</P>
<P>
<A NAME="IDX592"></A>
The <CODE>ANNOTE</CODE> macro provides a convenient way to register flat
annotations.  This macro enters the annotation name in the
<CODE>lexicon</CODE>, creates an <CODE>annote_def</CODE> object, and registers it
with the manager.  It takes three arguments: the variable that will hold
the pointer to the annotation name in the <CODE>lexicon</CODE>, the annotation
name, and the value of its <CODE>output</CODE> flag.  For example:

</P>

<PRE>
char *k_my_annote;
ANNOTE(k_my_annote, "my_annote", TRUE);
</PRE>

<P>
This enters the name <CODE>"my_annote"</CODE> in the <CODE>lexicon</CODE> and sets
<CODE>k_my_annote</CODE> to point to that string.  It also registers that name
as a flat annotation that will be written to the SUIF output file.
Typically, <CODE>k_my_annote</CODE> will be a global variable that is used
throughout the program to refer to annotations of this type.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_79.html">previous</A>, <A HREF="suif1_81.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
